package com.fizz.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 光整机弯辊力对象 setup_tm_bendforce
 * 
 * @author Joshi
 * @date 2025-09-26
 */
public class SetupTmBendforce extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 宽度 */
    private Long width;

    /** 轧制力 */
    private Long rollForce;

    /** 弯辊力 */
    @Excel(name = "弯辊力")
    private Long value1;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long value2;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long value3;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long value4;

    public void setWidth(Long width) 
    {
        this.width = width;
    }

    public Long getWidth() 
    {
        return width;
    }
    public void setRollForce(Long rollForce) 
    {
        this.rollForce = rollForce;
    }

    public Long getRollForce() 
    {
        return rollForce;
    }
    public void setValue1(Long value1) 
    {
        this.value1 = value1;
    }

    public Long getValue1() 
    {
        return value1;
    }
    public void setValue2(Long value2) 
    {
        this.value2 = value2;
    }

    public Long getValue2() 
    {
        return value2;
    }
    public void setValue3(Long value3) 
    {
        this.value3 = value3;
    }

    public Long getValue3() 
    {
        return value3;
    }
    public void setValue4(Long value4) 
    {
        this.value4 = value4;
    }

    public Long getValue4() 
    {
        return value4;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("width", getWidth())
            .append("rollForce", getRollForce())
            .append("value1", getValue1())
            .append("value2", getValue2())
            .append("value3", getValue3())
            .append("value4", getValue4())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .toString();
    }
}
